package com.foreverwin.mesnac.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.common.model.SystemRule;

import java.util.List;

/**
 * <p>
 * 编码规则 服务类
 * </p>
 *
 * @author Roc Li
 * @since 2020-09-03
 */
public interface SystemRuleService extends IService<SystemRule> {

    SystemRule selectOneBySiteNameGroup(String site, String name, String ruleGroup);

    List<SystemRule> selectListBySiteGroup(String site, String ruleGroup);

    List<SystemRule> selectListBySiteName(String site, String name);
}